import BaseEvent from "./BaseEvent";

const {ccclass, property} = cc._decorator;
/**
 * 移除魔豆脚本
 * 如果已经有射手了
 */
@ccclass
export default class RemoveModou extends BaseEvent {
    
    @property({
        displayName: '解救伙伴后移除道具',
    })
    mPetId: number = 1;

    onLoad () {
        super.onLoad()

        let pet = this.ff.main.player.getPet(this.mPetId);
        if(pet){
            this.node.destroy()
        }
    }

   
}
